$map-height:calc(100vh - 150px);
$map-quartier-height:calc(100vh - 149px);
$map-width:calc(100vw / 2);
#map-container{
    box-sizing: content-box;
    position: fixed;
    top: 100px;
    left: 26vw;
    height: $map-height;
    padding: 0;
    @include sm-screen{
        width: 100%;
        left: 0;
    }
}
.map-relative{
    position: relative;
    width: $map-width;
    
}
.map{
    position: fixed;
    box-sizing: content-box;
    width: $map-width;
    @include sm-screen{
        width: 100vw;
    }
}
.map-quartier{
    position: fixed;
    box-sizing: content-box;
    width: $map-width;
    z-index: 1000;
    animation: appear 300ms 0ms both ease-out;
    @include sm-screen{
        width: 100vw;
    }
}
#ping{
    background-color: rgb(255, 0, 0);
    border-radius: 70% 50% 70% 2px;
    height: 30px;
    width :30px;
    position: absolute;
    z-index: 3000;
    border: 3px solid white;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform ease-out 500ms;
    transform: translateY(-10px);
    animation: appearPing 500ms 100ms both ease-out;
}
#round{
    border-radius: 50%;
    background-color: white;
    height: 10px;
    width: 10px;
    animation: pulse 500ms 100ms infinite both ease-out;
}
@keyframes appear{
    from{
        opacity: 0;
        transform: translateY(-10px);
    }
    to{
        opacity: 1;
        transform: translateY(0px);
    }
}
@keyframes appearPing{
    from{
        opacity: 0;
        transform: translateY(-10px) rotate(-45deg);
    }
    to{
        opacity: 1;
        transform: translateY(0px) rotate(-45deg);
    }
}
@keyframes pulse{
    0%{
        
        transform: scale(0.5) rotate(-45deg);
    }
    
    100%{
        
        transform: scale(1.5) rotate(-45deg);
    }
}